Get inventories - Fabric
Get inventories
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/inventory \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


JSON Responses
Success Response (200)
{
"pagination": {
"total": 100,
"limit": 10,
"offset": 0
},
"inventory": [
{
"virtualCounters": {
"availableToPurchase": 10
},
"id": "62272e917b12209e68751d94",
"sku": "SKU00025",
"itemId": 4225678911,
"locationNum": 473746,
"channelId": 12,
"vendorId": "vendor123",
"leadTime": 1234,
"inventoryType": "Safety stock",
"infiniteInventory": true,
"counters": {
"on-hand": 10
},
"attributes": {
"buy online, pick up in-store (bopis)": true
}
}
]
}
Error Responses
Invalid Request (400)
{
"message": "Invalid request payload or parameter"
}
Internal Error (500)
{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Authorizations
Authorization Header
- Type: string
- Location: header
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
x-site-context Header
- Type: string
- Location: header
- Description:
x-site-contextis a JSON object containing source information. Key attributes include:- account: 24 character identifier from Copilot.
- channel: Sales channel ID.
- stage: Environment name.
- date: Optional attribute.
Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Query Parameters
- inventorySearchModel: object for filtering criteria based on which inventories are searched.
- inventoryNetworkSearchModel: object for filtering inventory by network.
- paginationQueryModel: object for describing paginated data.